package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentCourseHomeworkReplyQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "学生作业ID",required = true)
    private Long studentCourseHomeworkId;

    @ApiModelProperty(value = "父级评论ID")
    private Long parentID;

    private Integer userId;

    private boolean extra;

    public boolean isExtra() {
        return extra;
    }

    public void setExtra(boolean extra) {
        this.extra = extra;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Long getStudentCourseHomeworkId() {
        return studentCourseHomeworkId;
    }

    public void setStudentCourseHomeworkId(Long studentCourseHomeworkId) {
        this.studentCourseHomeworkId = studentCourseHomeworkId;
    }

    public Long getParentID() {
        return parentID;
    }

    public void setParentID(Long parentID) {
        this.parentID = parentID;
    }
}
